### File

`packages/components/eui-autocomplete/eui-autocomplete-option-group/eui-autocomplete-option-group.component.ts`

### Description

Component used internally by `eui-autocomplete` with the option `groupBy`. It allows to display the options in groups.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-autocomplete-option-group`
template |
    <ng-content/>

### Index

###### Properties
role
###### Inputs
label
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

label
Type : `string`
Sets the label of the group.

### HostBindings

attr.role
Type : `string`
Default value : `'optgroup'`
ARIA role for the host element to ensure proper accessibility.

class
Type : `string`

### Properties

role
Type : `string`
Default value : `'optgroup'`
Decorators : `@HostBinding('attr.role')`
ARIA role for the host element to ensure proper accessibility.

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the component based on its current state. Returns : `string`

# results matching ""

# No results matching ""